import React from 'react'
import { GoogleLogin } from 'react-google-login';

const Login = () => {
    const storage = window.localStorage;

    const loginSuccess = (response: any) => {
        storage.setItem("tokenId", response.tokenId);
        const apiUrl = "https://www.googleapis.com/oauth2/v3/tokeninfo?id_token=" + response.tokenId
        fetch(apiUrl).then((response) => response.json()).then((data) => {
            console.log(data)
        })
        console.log("Log in succesful", storage);
    }

    const loginFailure = (response: any) => {
        storage.setItem("loggedIn", "false")
        console.log("Log in failed", storage);
    }

    return (
        <GoogleLogin
            clientId="925243198137-hhe2e3ejlethf321hh7tbm7ontc19cpj.apps.googleusercontent.com"
            buttonText="Login"
            onSuccess={loginSuccess}
            onFailure={loginFailure}
            cookiePolicy={'single_host_origin'}
        />
    )
}

export default Login
